aboutsummaryrefslogtreecommitdiff
path: root/.run_chisel_tests.sh
diff options
context:
space:
mode:
authorJack Koenig2017-02-16 11:21:11 -0800
committerGitHub2017-02-16 11:21:11 -0800
commitb69e787c0a698b7fb703ccd8d24003f83207e296 (patch)
treed55d48d5e73005abbfc11ad26a9deec1e0ee0438 /.run_chisel_tests.sh
parent088b72a2d5c2c467ac6851339d0a3263e6c06bed (diff)
[skip chisel tests] Add ability to skip Chisel tests in Travis (#444)
Diffstat (limited to '.run_chisel_tests.sh')
-rw-r--r--.run_chisel_tests.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/.run_chisel_tests.sh b/.run_chisel_tests.sh
new file mode 100644
index 00000000..e61d370a
--- /dev/null
+++ b/.run_chisel_tests.sh
@@ -0,0 +1,11 @@
+set -e
+# Skip chisel tests if the commit message says to
+if [[ $TRAVIS_COMMIT_MESSAGE == *"[skip chisel tests]"* ]]; then
+ exit 0
+else
+ git clone https://github.com/ucb-bar/chisel3.git
+ mkdir -p chisel3/lib
+ cp utils/bin/firrtl.jar chisel3/lib
+ cd chisel3
+ sbt clean test
+fi